## org.hibernate.type
Class AlternativeLobTypes<S,T extends LobType<S>>

    java.lang.Object
      org.hibernate.type.AlternativeLobTypes<S,T>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AlternativeLobTypes.BlobTypes, AlternativeLobTypes.ClobTypes

    public abstract class AlternativeLobTypes<S,T extends LobType<S>>

extends Object
implements Serializable

Provides alternative types for binding LOB values.

Author:
  Gail Badner
See Also:
  Serialized Form

Nested Class Summary
`static class` `AlternativeLobTypes.BlobTypes<S,T extends LobType<S>>` Provides alternative types for binding `BLOB` values.
`static class` `AlternativeLobTypes.ClobTypes<S,T extends LobType<S>>` Provides alternative types for binding `CLOB` values.

Method Summary
`protected T` `createLobType(Class<? extends T> lobTypeClass, Constructor constructor, SqlTypeDescriptor sqlTypeDescriptor)`
`protected Constructor` `getConstructor(Class<? extends T> clazz)`
`T` `getDefaultType()` Returns the type that uses the default binding LOB values.
`T` `getLobBindingType()` Returns the type that explicitly binds the LOB value,
`T` `getStreamBindingType()` Returns the type that binds LOB values using streams.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefaultType

    public final T getDefaultType()

  Returns the type that uses the default binding LOB values.

  Returns:
    type that uses the default binding
  See Also:
    `BlobTypeDescriptor.DEFAULT`, `ClobTypeDescriptor.DEFAULT`

### getStreamBindingType

    public final T getStreamBindingType()

  Returns the type that binds LOB values using streams.

  Returns:
    type that binds using a stream
  See Also:
    `BlobTypeDescriptor.STREAM_BINDING`, `ClobTypeDescriptor.STREAM_BINDING`

### getLobBindingType

    public final T getLobBindingType()

  Returns the type that explicitly binds the LOB value,

  Returns:
    type that binds the LOB
  See Also:
    `BlobTypeDescriptor.BLOB_BINDING`, `ClobTypeDescriptor.CLOB_BINDING`

### getConstructor

    protected Constructor getConstructor(Class<? extends T> clazz)

### createLobType

    protected T createLobType(Class<? extends T> lobTypeClass,
                              Constructor constructor,
                              SqlTypeDescriptor sqlTypeDescriptor)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.